package registration;

import javax.ejb.*;
import java.rmi.*;
import java.util.*;

public interface RegistrationHome extends EJBHome {
  Registration create(String theuser, String password, 
		String emailaddress, String creditcard) 
		throws CreateException, RemoteException;

  Registration findByPrimaryKey(RegistrationPK theuser) 
		throws FinderException, RemoteException;
}

